Bullet Collision Detection & Physics Library: btJacobianEntry Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
btJacobianEntry Class Reference

Jacobian entry is an abstraction that allows to describe constraints it can be used in combination with a constraint solver Can be used to relate the effect of an impulse to the constraint error. More...

`#include <btJacobianEntry.h>`

Collaboration diagram for btJacobianEntry:
[legend]

## Public Member Functions
| btJacobianEntry ()
| btJacobianEntry (const btMatrix3x3 &world2A, const btMatrix3x3 &world2B, const btVector3 &rel_pos1, const btVector3 &rel_pos2, const btVector3 &jointAxis, const btVector3 &inertiaInvA, const btScalar massInvA, const btVector3 &inertiaInvB, const btScalar massInvB)
| btJacobianEntry (const btVector3 &jointAxis, const btMatrix3x3 &world2A, const btMatrix3x3 &world2B, const btVector3 &inertiaInvA, const btVector3 &inertiaInvB)
| btJacobianEntry (const btVector3 &axisInA, const btVector3 &axisInB, const btVector3 &inertiaInvA, const btVector3 &inertiaInvB)
| btJacobianEntry (const btMatrix3x3 &world2A, const btVector3 &rel_pos1, const btVector3 &rel_pos2, const btVector3 &jointAxis, const btVector3 &inertiaInvA, const btScalar massInvA)
btScalar | getDiagonal () const
btScalar | getNonDiagonal (const btJacobianEntry &jacB, const btScalar massInvA) const
btScalar | getNonDiagonal (const btJacobianEntry &jacB, const btScalar massInvA, const btScalar massInvB) const
btScalar | getRelativeVelocity (const btVector3 &linvelA, const btVector3 &angvelA, const btVector3 &linvelB, const btVector3 &angvelB)

## Public Attributes
btVector3 | m_linearJointAxis
btVector3 | m_aJ
btVector3 | m_bJ
btVector3 | m_0MinvJt
btVector3 | m_1MinvJt
btScalar | m_Adiag

## Detailed Description

Jacobian entry is an abstraction that allows to describe constraints it can be used in combination with a constraint solver Can be used to relate the effect of an impulse to the constraint error.

Definition at line 29 of file btJacobianEntry.h.

## Constructor & Destructor Documentation

## ◆ btJacobianEntry() [1/5]

btJacobianEntry::btJacobianEntry | ( |  | ) |
| inline

Definition at line 33 of file btJacobianEntry.h.

## ◆ btJacobianEntry() [2/5]

btJacobianEntry::btJacobianEntry | ( | const btMatrix3x3 & | world2A,
|  | const btMatrix3x3 & | world2B,
|  | const btVector3 & | rel_pos1,
|  | const btVector3 & | rel_pos2,
|  | const btVector3 & | jointAxis,
|  | const btVector3 & | inertiaInvA,
|  | const btScalar | massInvA,
|  | const btVector3 & | inertiaInvB,
|  | const btScalar | massInvB
| ) |  |
| inline

Definition at line 35 of file btJacobianEntry.h.

## ◆ btJacobianEntry() [3/5]

btJacobianEntry::btJacobianEntry | ( | const btVector3 & | jointAxis,
|  | const btMatrix3x3 & | world2A,
|  | const btMatrix3x3 & | world2B,
|  | const btVector3 & | inertiaInvA,
|  | const btVector3 & | inertiaInvB
| ) |  |
| inline

Definition at line 56 of file btJacobianEntry.h.

## ◆ btJacobianEntry() [4/5]

btJacobianEntry::btJacobianEntry | ( | const btVector3 & | axisInA,
|  | const btVector3 & | axisInB,
|  | const btVector3 & | inertiaInvA,
|  | const btVector3 & | inertiaInvB
| ) |  |
| inline

Definition at line 73 of file btJacobianEntry.h.

## ◆ btJacobianEntry() [5/5]

btJacobianEntry::btJacobianEntry | ( | const btMatrix3x3 & | world2A,
|  | const btVector3 & | rel_pos1,
|  | const btVector3 & | rel_pos2,
|  | const btVector3 & | jointAxis,
|  | const btVector3 & | inertiaInvA,
|  | const btScalar | massInvA
| ) |  |
| inline

Definition at line 87 of file btJacobianEntry.h.

## Member Function Documentation

## ◆ getDiagonal()

btScalar btJacobianEntry::getDiagonal | ( |  | ) | const
| inline

Definition at line 104 of file btJacobianEntry.h.

## ◆ getNonDiagonal() [1/2]

btScalar btJacobianEntry::getNonDiagonal | ( | const btJacobianEntry & | jacB,
|  | const btScalar | massInvA
| ) |  | const
| inline

Definition at line 107 of file btJacobianEntry.h.

## ◆ getNonDiagonal() [2/2]

btScalar btJacobianEntry::getNonDiagonal | ( | const btJacobianEntry & | jacB,
|  | const btScalar | massInvA,
|  | const btScalar | massInvB
| ) |  | const
| inline

Definition at line 116 of file btJacobianEntry.h.

## ◆ getRelativeVelocity()

btScalar btJacobianEntry::getRelativeVelocity | ( | const btVector3 & | linvelA,
|  | const btVector3 & | angvelA,
|  | const btVector3 & | linvelB,
|  | const btVector3 & | angvelB
| ) |  |
| inline

Definition at line 128 of file btJacobianEntry.h.

## Member Data Documentation

## ◆ m_0MinvJt

btVector3 btJacobianEntry::m_0MinvJt

Definition at line 144 of file btJacobianEntry.h.

## ◆ m_1MinvJt

btVector3 btJacobianEntry::m_1MinvJt

Definition at line 145 of file btJacobianEntry.h.

## ◆ m_Adiag

btScalar btJacobianEntry::m_Adiag

Definition at line 147 of file btJacobianEntry.h.

## ◆ m_aJ

btVector3 btJacobianEntry::m_aJ

Definition at line 142 of file btJacobianEntry.h.

## ◆ m_bJ

btVector3 btJacobianEntry::m_bJ

Definition at line 143 of file btJacobianEntry.h.

## ◆ m_linearJointAxis

btVector3 btJacobianEntry::m_linearJointAxis

Definition at line 141 of file btJacobianEntry.h.

The documentation for this class was generated from the following file:

- btJacobianEntry.h